<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.admin.language.setup_language' | translate}}</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-12 col-xl-12 form-group">
                <label class="col-form-label">{{ 'epdb.admin.language.language' | translate }} :
                    <strong>{{languageselect}}</strong>
                </label>
            </div>
            <div class="col-md-4 col-xl-4">
                <label class="col-form-label">Module</label>
                <select name="oStatus" class="form-control" (change)="pickmodule($event.target.value)">
                    <option value="">-- {{'general.select' | translate}} --</option>
                    <option *ngFor="let item of modulearr" value={{item.value}}>{{item.name}}</option>
                </select>
            </div>
            <div class="col-md-4 col-xl-4 form-group" *ngIf="moduleselect==true">
                <label class="col-form-label">Sub Module</label>
                <select name="oStatus" class="form-control" (change)="picksubmodule($event.target.value)">
                    <option value="">-- {{'general.select' | translate}} --</option>
                    <option *ngFor="let item of submodulearr" value={{item.value}}>{{item.name}}</option>
                </select>
            </div>
            <div class="col-md-4 col-xl-4 form-group" *ngIf="submoduleselect==true">
                <label class="col-form-label">Sub Module</label>
                <select name="oStatus" class="form-control" (change)="pickmenu($event.target.value)" (change)="picksubmenu($event.target.value)">
                    <option value="">-- {{'general.select' | translate}} --</option>
                    <option *ngFor="let item of menuarr" value={{item.value}}>{{item.name}}</option>
                </select>
            </div>
            <div class="col-md-4 col-xl-4 form-group" *ngIf="submenuselect==true">
                <label class="col-form-label">Sub Menu</label>
                <select name="oStatus" class="form-control" (change)="picksubmenucontent($event.target.value)">
                    <option value="">-- {{'general.select' | translate}} --</option>
                    <option *ngFor="let item of submenuarr" value={{item.value}}>{{item.name}}</option>
                </select>
            </div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-12">&nbsp;</div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive" *ngIf="menuselect==true || submenuselectcontent==true">
                    <tbody>
                        <tr *ngFor="let item of contentarr">
                            <th width="50%">
                                {{item.name}}
                            </th>
                            <td width="45%">
                                <input (keyup)="inputchange($event.target.value,item.value)" type="text" class="form-control" value={{item.value}}/>
                            </td>
                            <td width="5%">
                                <a *ngIf="changevalue != '' && item.value == itemvalue" (click)="saveLanguage(item)" class="text-muted f-18" ngbTooltip="{{'epdb.admin.language.tool_tip_save_language' | translate}}">
                                    <i class="icofont icofont-save" style="cursor: pointer"></i>
                                </a>
                                <a *ngIf="changevalue == '' || item.value != itemvalue">&nbsp;</a>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-12">&nbsp;</div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-12 text-right">
                <button type="button" [routerLink]="['/admin/language/list-language']" class="btn btn-default btn-md text-center">
                    <i class="icofont icofont-square-left"></i> {{'general.btn_back' | translate}}
                </button>
            </div>
        </div>
    </div>
</div>